1 - 1.1
get /v1/vpcs
Description
VPC 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | 한도 Example : 20 | any of [integer, null] | None |
| query | marker optional | 마커 Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | name optional | VPC 명 Example : vpcName | any of [string, null] | None |
| query | state optional | 상태 Example : | enum (CREATING, ACTIVE, DELETED, ERROR) | None |
| query | cidr optional | VPC Cidr Example : 192.167.0.0/18 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpcs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"vpcs": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr": "192.167.0.0/18",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vpcDescription",
"id": "7df8abb4912e4709b1cb237daccca7a8",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "vpcName",
"state": "CREATING"
}
]
}
2 - 1.0
get /v1/vpcs
Description
VPC 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | 한도 Example : 20 | any of [integer, null] | None |
| query | marker optional | 마커 Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | name optional | VPC 명 Example : vpcName | any of [string, null] | None |
| query | state optional | 상태 Example : | enum (CREATING, ACTIVE, DELETED, ERROR) | None |
| query | cidr optional | VPC Cidr Example : 192.167.0.0/18 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpcs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"vpcs": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr": "192.167.0.0/18",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vpcDescription",
"id": "7df8abb4912e4709b1cb237daccca7a8",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "vpcName",
"state": "CREATING"
}
]
}